unit window;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  StdCtrls, ExtCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Label1: TLabel;
    Timer1: TTimer;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private

  public

  end; 

var
  Form1: TForm1;
  Langas : TForm;
  Uzrasas : TLabel;
  Sekundes : integer;  // mazinsim sekundes

implementation

{ TForm1 }

//=============================================================
procedure TForm1.FormCreate(Sender: TObject);
begin
 Randomize;  // sumaisom skaiciu seka
 Form1.Timer1.Interval := 1000;
 Form1.Timer1.Enabled := True;
 Sekundes := 5;
 Form1.Button1.Caption := 'Noriu! ('+IntToStr(Sekundes)+')';
end;
//=============================================================
procedure TForm1.Button2Click(Sender: TObject);
begin
 Form1.Close;
end;
//=============================================================
procedure TForm1.Button1Click(Sender: TObject);
var X,Y,i : integer;
begin
 Form1.Timer1.Enabled := False;
 Form1.Button1.Caption := 'Noriu!';
 i := 0;
 repeat
//====
 X := Random(Screen.Height - 100); // jamam dabartiny ekrano auksty ir atimam siek tiek daugiau nei formos aukstis
 Y := Random(Screen.Width - 230);  // jamam dabartiny ekrano ploty ir atimam siek tiek daugiau nei formos plotis
//====
  Langas := TForm.Create(Self); // sukuriam langa
   with Langas do
    begin
     Height := 70; // formos aukstis
     Width  := 200; // formos plotis
     BorderStyle := bsSingle; // nustatom kad nebutu galima mazinti ar didinti langa
     Caption := 'Labas!';
     ShowInTaskbar := stNever; // nerodom taskbar'e
    end;
//====
  Uzrasas := TLabel.Create(Self);  // sukuriam mygtukas
//====
  Langas.Top  := X;
  Langas.Left := Y;
//====
  with Uzrasas do
   begin
    Parent := Langas; // nustatom ant ko padeti mygtuka
    Top  := 25;
    Left := 75;
    Font.Size := 11;
    Font.Name := 'Arial';
    Font.Style := [fsBold];
    Caption := 'ZJBS!';
   end;
//====
  Langas.Show{Modal};  // jaigu darysim ShowModal tai atsirade langai lauks paspaudimo
  Inc(i);
//====
  until (i = 100); // keiciam skaiciu langu kiekiui
//====
end;
//=============================================================
procedure TForm1.FormClose(Sender: TObject; var CloseAction: TCloseAction);
begin
 Uzrasas.Free;
 Langas.Free; // isjungiam visus langus ir atlaisvinam atminty
end;
//=============================================================
procedure TForm1.Timer1Timer(Sender: TObject);
begin
 Form1.Timer1.Enabled := False;
 Sekundes := Sekundes - 1;
 Form1.Button1.Caption := 'Noriu! ('+IntToStr(Sekundes)+')';
 if (Sekundes = 0) then
  begin
   Form1.Button1Click(Timer1);
   Form1.Button1.Caption := 'Noriu!';
  end
 else
  begin
   Form1.Timer1.Enabled := True;
  end;
end;
//=============================================================


initialization
  {$I window.lrs}

end.

